Deprecated repository, work moved to GitHub: https://github.com/tonic-team/synchronisation_scripts

(still need to move issues)


# Scripts for working with GIN

Scripts for working with GIN server using the GIN client.


# Bash script for Linux and macOS

The script was only tested in macOS, it is more advanced than the windows script (we are working on its translation).

[sync](./sync): Run from inside a repository to upload any local changes to GIN using the GIN CLI.

- Assumes the repository is already initialized and you are logged in into gin (via `gin login` or via ssh).
- work with submodules.
- Synchronises changes made remotely (on the server) and locally (on the local machine).
- Does not download large files and do not delete large files content after upload by default. Change variable `syncopt="remove"` in line 19 to modify this behavior. Current option is download, keep and remove.
- Double clicking on the file in a file browser should run the script in a terminal. If the script succeeds, the terminal closes immediately.  If there is an error, it will print an error message and wait for the user to press [Enter] or close the window.
- You may need to make the script an executable: open a terminal window in your repository folder (right-click -- New Terminal at folder) and run `chmod +x sync`. This needs only to be done once.


# Batch script for Windows

[sync.bat](./sync.bat): Run from inside a repository to upload any local changes to GIN using the GIN CLI.

_**Note**: This script has not been fully tested yet_

- Assumes the repository is already initialised.
- Does not work with submodules.
- Synchronises changes made remotely (on the server) and locally (on the local machine).
- Does not download large file content by default.
    - Uncomment lines 26 and 27 to perform a full download at the end of the run.  The line should be `gin get-content .` and the following line should be `CALL :checkerror ...`.
- Double clicking on the file in a file browser should run the script in a terminal.  If the script succeeds, the terminal closes immediately.  If there is an error, it will print an error message and wait for the user to press [Enter] or close the window.

# Old scripts

The [old](./old) directory contains old upload scripts that were written while testing different use cases.  They shouldn't be used in their current state, but they may be useful for the future.

# initiation scripts

This folder contain scripts to initialize your computer to work with particular gin instance.